classification
Title: IDLE will not open (2.6.1 on WinXP pro)
Type: behavior Stage: test needed
Components: IDLE Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Yo, ajaksu2, amaury.forgeotdarc, gpolo, kbk, terry.reedy
Priority: normal Keywords:

Created on 2008-12-17 19:57 by Yo, last changed 2010-12-31 02:09 by terry.reedy. This issue is now closed.

Messages (8)
msg77982 - (view) Author: Ilan (Yo) Date: 2008-12-17 19:57
Hello,

I am new to programming... I installed Python a couple days ago with no
problems. I used it quite a bit since I'm going through loads of tutorials. 
All of a sudden, it shut off, closed and will no longer open. This
problem seems to be common, but none of the suggestions work.

I uninstalled it and re-installed it to no avail. The command line works
however.
Suggestions?
msg78022 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-12-18 10:45
Can you start it from a command prompt (cmd.exe):

> cd c:\python26
> python Lib\idlelib\idle.py

The console may display interesting error messages.
msg78031 - (view) Author: Ilan (Yo) Date: 2008-12-18 16:31
It didn't work.

"cd c:\python26" successfully prompted "C:\Python26>",

But then entering "python Lib\idlelib\idle.py" did not work, the message
is too long to enter in this reply but here are some of the lines in the
body:

"Unhandled server exception!
Thread: SockThread"
[...]
"ImportError: cannot import name Random
*** Unrecoverable, server existing!"
[...]
"EOFError"

I hope this helps, I have no clue what to do...
msg78436 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2008-12-28 22:37
I would like to see the complete list of messages.
Looks like a broken python installation...
msg86619 - (view) Author: Daniel Diniz (ajaksu2) (Python triager) Date: 2009-04-26 22:16
Ilan: any news on this?
msg86690 - (view) Author: Ilan (Yo) Date: 2009-04-27 17:12
I basically have been running IDLE without the subprocess.

(In C:\Python24\Lib\idlelib\PyShell.py and at line 1272 change

use_subprocess = True

to

use_subprocess = False

Save PyShell.py, restart IDLE, and you will see a message in the shell
window that IDLE is now running without the subprocess.)

It has been running fine since.
msg87100 - (view) Author: Kurt B. Kaiser (kbk) * (Python committer) Date: 2009-05-04 06:11
Couple of comments.  First, your messages seem to indicate that 
you have both Python24 and Python26 installed.  Although that 
shouldn't cause problems, it might in your case. If you are no 
longer using Python24, please uninstall it.

First, open your Windows task manager and kill off any stale 
python processes.  If IDLE won't start with the subprocess, that's 
usually the problem.

Set IDLE to work with the subprocess, and try to reproduce your 
error.  If it's still there, kill off any resulting stale python 
processes.

Then, I'd really like to see the full error message if possible.

Open a Windows Command shell, and run this:

set >> test.log

c:\Python26\python -m idlelib.idle >> test.log 2>&1

Then reproduce the error, exit, and upload test.log to this 
tracker.

IDLE works much better if you use the subprocess!
msg124947 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-12-31 02:09
2.6 is now security fix only.
History
Date User Action Args
2010-12-31 02:09:38terry.reedysetstatus: open -> closed

nosy: + terry.reedy
messages: + msg124947

resolution: out of date
2009-05-04 06:12:43kbksetnosy: + kbk
messages: + msg87100
2009-04-27 17:12:12Yosetmessages: + msg86690
2009-04-26 22:16:21ajaksu2setnosy: + gpolo, ajaksu2
messages: + msg86619

type: behavior
stage: test needed
2008-12-28 22:37:19amaury.forgeotdarcsetmessages: + msg78436
2008-12-18 16:31:42Yosetmessages: + msg78031
2008-12-18 10:45:09amaury.forgeotdarcsetnosy: + amaury.forgeotdarc
messages: + msg78022
2008-12-17 19:57:48Yocreate